Blog

Hot: Cách vẽ polyline trong AutoCAD có chiều dày nhanh nhất

16
Hot: Cách vẽ polyline trong AutoCAD có chiều dày nhanh nhất
Hot: Cách vẽ polyline trong AutoCAD có chiều dày nhanh nhất

Trong AutoCAD, lệnh Polyline, lệnh tắt là PL, là một trong những lệnh thường dùng nhất, có thể nói là chỉ đứng sau lệnh Line. Để đơn giản có thể hiểu Polyline là bao gồm nhiều Line (hoặc có thể là cung tròn) được liên kết lại và có thêm thông tin chiều dày nét vẽ. Bởi vậy, nếu biết cách vẽ Polyline có chiều dày nhanh, sẽ tiết kiệm rất nhiều thời gian công sức. Tuy nhiên, trong AutoCAD để gán chiều dày cho lệnh này thì phải thao tác khá rườm rà. Đầu tiên, bạn gõ lệnh PL, sau đó chuột trái chọn một điểm bắt đầu, sau đó gõ chữ W để mở lựa chọn chiều dày, cuối cùng gõ 2 lần thông tin chiều dày (giả sử là 100mm) thì mới vẽ được Polyline có chiều dày nét là 100mm. Cuối cùng sau khi vẽ xong chúng ta bấm C để khép kín vùng nếu là vẽ vùng kín hoặc Enter để kết thúc lệnh.

Bạn đang xem: lệnh pl trong cad

Vẽ Polyline vùng kín với chiều dày nét là 100mm.

Lưu ý nếu vẽ vùng kính hãy chọn C ở đoạn cuối cùng để khép kín thay vì phải bắt điểm nhé, sẽ nhanh hơn đấy (Nói thật khá nhiều bạn không biết đóng kín bằng cách gõ C đâu nha).

Giải quyết vấn đề:

Để vẽ nhanh Polyline (dạng tập hợp các đường thẳng) có chiều dày nét vẽ, chúng ta sẽ tạo một lisp đơn giản sau đó load vào CAD, bản chất của lisp này chính là lệnh Polyline đã được cài đặt chiều dày nét vẽ.

+ Lệnh tắt P0: Vẽ Polyline không có chiều dày:

Xem thêmTham khảo: 10 kiểu tóc nam chào hè 2021 không thể bỏ qua

(defun c:P0 () (command “PLINE” “” “w” “0” “0” “” “PLINE”) )

+ Lệnh tắt P50: Vẽ Polyline có chiều dày nét vẽ là 50mm:

(defun c:P50 () (command “PLINE” “” “w” “50” “50” “” “PLINE”) )

+ Lệnh tắt P100: Vẽ Polyline có chiều dày nét vẽ là 100mm:

(defun c:P100 () (command “PLINE” “” “w” “100” “100” “” “PLINE”) )

+ Lệnh tắt PLL: Vẽ Polyline có chiều dày bất kỳ (chỉ cần gõ lệnh PLL sau đó chọn chiều dày luôn mà không cần phải chọn W nữa):

(defun c:PLL () (setq a (getint “nChon do day net: “)) (command “PLINE” “” “w” a a “” “PLINE”) )

Xem thêmTham khảo: 6 thói quen tai hại khiến điện thoại nhanh hỏng hơn

Download lisp trên tại đây

Bạn có thể tham khảo bộ lisp cad hay dành cho kỹ sư trong đó có lisp vẽ nhanh Pline có chiều dày nét nằm trong bộ Menu lisp Cad XDTH mà tôi chia sẻ miễn phí trong video bên dưới. Nếu là lần đầu tiên bạn xem video trên kênh hãy đăng ký kênh Youtube Xây Dựng Thực Hành để theo dõi các video tiếp theo vì tôi còn trở lại với rất nhiều video hữu ích khác:

Sử dụng lisp P50 và PLL để vẽ nhanh Polyline có chiều dày nét vẽ

Trên kênh Youtube mình cũng chia sẻ rất nhiều kiến thức bổ ích AutoCAD, Excel… sắp tới là QS, Shopdrawing, biện pháp thi công… mà trên website không có. Mời bạn ghé thăm kênh tại link này Youtube .

Chúc bạn thành công!

Victor Vuong,

Danh mục: Blog

Nguồn: https://taigameionline.vn

0 ( 0 votes )

TaigameIOline

https://taigameionline.vn
TaigameIOline - Chia sẻ mọi thứ về Game, Phần Mềm, Thủ Thuật dành cho máy tính với những tin hay nhất và những thông tin kiến thức hỏi đáp.

Readers' opinions (0)

Leave a Reply

Your email address will not be published. Required fields are marked *

Bài Viết Liên Quan

Bài Viết Mới

Load more